#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module		cycler
Summary:	Composable style cycles
Summary(pl.UTF-8):	Komponowalne cykle styli
Name:		python3-%{module}
Version:	0.12.1
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://github.com/matplotlib/cycler/releases
Source0:	https://github.com/matplotlib/cycler/archive/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	1f6077c5e7adf8824d50c3a01c8104f6
URL:		https://matplotlib.org/cycler/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools >= 1:61
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.045
%if %{with doc}
BuildRequires:	python3-ipython
BuildRequires:	python3-matplotlib
BuildRequires:	python3-numpydoc
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Composable style cycles.

%description -l pl.UTF-8.
Komponowalne cykle styli.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest test_cycler.py
%endif

%if %{with doc}
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst SECURITY.md
%{py3_sitescriptdir}/cycler
%{py3_sitescriptdir}/cycler-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_images,_modules,_static,generated,*.html,*.js,*.png}
%endif
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cycler.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> dc1066f
- python-cycler.spec updated to 0.12.1 for python 3.8+ (tested without doc for now)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> d0b16b2
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> ec69367
- python 3.13 rebuild

* Mon Jan 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 32d1769
- actually run tests
- build docs using python2 (python3 will use separate .spec soon)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0f85bd4
- rebuild with tests and docs

* Sat Mar 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 62c73c5
- python2 note

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8fea9af
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1141d81
- rebuild with python 3.10

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 55eef06
- release 5 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 6169a7f
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cafc0ea
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 84feb8b
- pl, cleanups

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ec2fc42
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sat Dec 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 777ad97
- initial 0.10.0

